HTMLClip (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.model

## Interface HTMLClip

- All Superinterfaces:
    Component, InterchangeObject, MediaEntity, MetadataObject, Segment, SourceReferenceSegment, TextClip
  All Known Implementing Classes:
    HTMLClipImpl

      public interface HTMLClip
      extends TextClip

  Specifies a reference to HTML text essence.

  Typically, an HTML clip is in a static track and defines a section of HTML text that is associated with the essence data in a parallel timeline track. The length of the HTML clip defines the extent of the association with the parallel track in the same package.

  The begin anchor and end anchor properties specify the HTML tags that delineate the start and end of the referenced text. The begin anchor tag shall precede the end anchor tag. If the begin anchor and end anchor properties are omitted, the HTML clip references all the HTML text in the essence data object.

  See Also:
    `HTMLDescriptor`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTMLClip` | `clone()` Create a cloned copy of this HTML clip.
    `String` | `getBeginAnchor()` Returns the begin anchor property of this HTML clip, which delineates the anchor that is the start of the reference's text.
    `String` | `getEndAnchor()` Returns the end anchor property of this HTML clip, which delineates the anchor that is the end of the reference's text.
    `void` | `setBeginAnchor(String beginAnchor)` Sets the begin anchor property of this HTML clip, which delineates the anchor that is the start of the reference's text.
    `void` | `setEndAnchor(String endAnchor)` Sets the end anchor property of this HTML clip, which delineates the anchor that is the end of the reference's text.

    - ### Methods inherited from interface tv.amwa.maj.model.SourceReferenceSegment

      `getChannelIDs, getChannelIDsSize, getMonoSourceTrackIDs, getMonoSourceTrackIDsSize, getSourcePackageID, getSourceTrackID, setChannelIDs, setMonoSourceTrackIDs, setSourcePackageID, setSourceTrackID`

    - ### Methods inherited from interface tv.amwa.maj.model.Segment

      `generateSequence, segmentOffsetToTC, segmentTCToOffset`

    - ### Methods inherited from interface tv.amwa.maj.model.Component

      `appendComponentAttribute, appendComponentAttribute, appendComponentKLVData, appendComponentUserComment, appendComponentUserComment, clearComponentAttributes, clearComponentKLVData, clearComponentUserComments, countComponentAttributes, countComponentKLVData, countComponentUserComments, getComponentAttributes, getComponentDataDefinition, getComponentKLVData, getComponentLength, getComponentUserComments, getLengthPresent, removeComponentAttribute, removeComponentKLVData, removeComponentUserComment, setComponentDataDefinition, setComponentLength, setLengthPresent`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

- - ### Method Detail

    - #### setBeginAnchor

          void setBeginAnchor(String beginAnchor)

      Sets the begin anchor property of this HTML clip, which delineates the anchor that is the start of the reference's text. Set this optional property to `null` to omit it.

      Parameters:
        `beginAnchor` - Begin anchor property of this HTML clip.

    - #### getBeginAnchor

          String getBeginAnchor()
                         throws PropertyNotPresentException

      Returns the begin anchor property of this HTML clip, which delineates the anchor that is the start of the reference's text. This is an optional property.

      Returns:
        Begin anchor property of this HTML clip.
      Throws:
        `PropertyNotPresentException` - The optional begin anchor property is not present in this HTML clip.

    - #### setEndAnchor

          void setEndAnchor(String endAnchor)

      Sets the end anchor property of this HTML clip, which delineates the anchor that is the end of the reference's text. Set this optional property to `null` to omit it.

      Parameters:
        `endAnchor` - End anchor property of this HTML clip.

    - #### getEndAnchor

          String getEndAnchor()
                       throws PropertyNotPresentException

      Returns the end anchor property of this HTML clip, which delineates the anchor that is the end of the reference's text. This is an optional property.

      Returns:
        End anchor property of this HTML clip.
      Throws:
        `PropertyNotPresentException` - The optional end anchor property is not present in this HTML clip.

    - #### clone

          HTMLClip clone()

      Create a cloned copy of this HTML clip.

      Specified by:
        `clone` in interface `Component`
      Specified by:
        `clone` in interface `InterchangeObject`
      Specified by:
        `clone` in interface `MediaEntity`
      Specified by:
        `clone` in interface `Segment`
      Specified by:
        `clone` in interface `SourceReferenceSegment`
      Specified by:
        `clone` in interface `TextClip`
      Returns:
        Cloned copy of this HTML clip.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.